executor: pf_api_connection_profiles_create
input:
  connection_type: ""
  connection_sub_type: ""
  id: ""
  desc: ""
  sources: ""
  unreg_on_acct_stop: ""
  locale: null
  autoregister: "enabled"
steps:
- type: pf_api_action
  method: POST
  url: 'config/connection_profiles'
  status_code: 201
  body: >-
    {
      "access_registration_when_registered": null,
      "advanced_filter": null,
      "always_use_redirecturl": null,
      "autoregister": "{{.input.autoregister}}",
      "billing_tiers": null,
      "block_interval": {
        "interval": "10",
        "unit": "m"
      },
      "default_psk_key": null,
      "description": "{{.input.desc}}",
      "dot1x_recompute_role_from_portal": "enabled",
      "dot1x_unset_on_unmatch": "disabled",
      "dpsk": "disabled",
      "filter": [
        {
          "type": "connection_type",
          "match": "{{.input.connection_type}}"
        },
        {
          "type": "connection_sub_type",
          "match": "{{.input.connection_sub_type}}"
        }
      ],
      "filter_match_style": "all",
      "id": "{{.input.id}}",
      "locale": "{{.input.locale}}",
      "login_attempt_limit": 0,
      "logo": null,
      "mac_auth_recompute_role_from_portal": "disabled",
      "network_logoff": null,
      "network_logoff_popup": null,
      "preregistration": null,
      "provisioners": null,
      "redirecturl": null,
      "reuse_dot1x_credentials": null,
      "root_module": "default_policy",
      "scans": null,
      "self_service": null,
      "sms_pin_retry_limit": 0,
      "sms_request_limit": 0,
      "sources": [
        "{{.input.sources}}"
      ],
      "status": "enabled",
      "unreg_on_acct_stop": "{{.input.unreg_on_acct_stop}}",
      "vlan_pool_technique": "username_hash"
    }

output:
  - pf_api_connection_profiles_create_: "{{.result.pf_api_action_}}"
